Bullet Collision Detection & Physics Library: btGeometryUtil Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
btGeometryUtil Class Reference

The btGeometryUtil helper class provides a few methods to convert between plane equations and vertices. More...

`#include <btGeometryUtil.h>`

## Static Public Member Functions
static void | getPlaneEquationsFromVertices (btAlignedObjectArray< btVector3 > &vertices, btAlignedObjectArray< btVector3 > &planeEquationsOut)
static void | getVerticesFromPlaneEquations (const btAlignedObjectArray< btVector3 > &planeEquations, btAlignedObjectArray< btVector3 > &verticesOut)
static bool | isInside (const btAlignedObjectArray< btVector3 > &vertices, const btVector3 &planeNormal, btScalar margin)
static bool | isPointInsidePlanes (const btAlignedObjectArray< btVector3 > &planeEquations, const btVector3 &point, btScalar margin)
static bool | areVerticesBehindPlane (const btVector3 &planeNormal, const btAlignedObjectArray< btVector3 > &vertices, btScalar margin)

## Detailed Description

The btGeometryUtil helper class provides a few methods to convert between plane equations and vertices.

Definition at line 22 of file btGeometryUtil.h.

## Member Function Documentation

## ◆ areVerticesBehindPlane()

bool btGeometryUtil::areVerticesBehindPlane | ( | const btVector3 & | planeNormal,
|  | const btAlignedObjectArray< btVector3 > & | vertices,
|  | btScalar | margin
| ) |  |
| static

Definition at line 44 of file btGeometryUtil.cpp.

## ◆ getPlaneEquationsFromVertices()

void btGeometryUtil::getPlaneEquationsFromVertices | ( | btAlignedObjectArray< btVector3 > & | vertices,
|  | btAlignedObjectArray< btVector3 > & | planeEquationsOut
| ) |  |
| static

Definition at line 75 of file btGeometryUtil.cpp.

## ◆ getVerticesFromPlaneEquations()

void btGeometryUtil::getVerticesFromPlaneEquations | ( | const btAlignedObjectArray< btVector3 > & | planeEquations,
|  | btAlignedObjectArray< btVector3 > & | verticesOut
| ) |  |
| static

Definition at line 119 of file btGeometryUtil.cpp.

## ◆ isInside()

static bool btGeometryUtil::isInside | ( | const btAlignedObjectArray< btVector3 > & | vertices,
|  | const btVector3 & | planeNormal,
|  | btScalar | margin
| ) |  |
| static

## ◆ isPointInsidePlanes()

bool btGeometryUtil::isPointInsidePlanes | ( | const btAlignedObjectArray< btVector3 > & | planeEquations,
|  | const btVector3 & | point,
|  | btScalar | margin
| ) |  |
| static

Definition at line 29 of file btGeometryUtil.cpp.

The documentation for this class was generated from the following files:

- btGeometryUtil.h
- btGeometryUtil.cpp